MSSQL Provider not available in the QGIS Browser

2013-01-30 05:49 AM - Jan Lippmann

Status: Closed

Priority: Severe/Regression

Assignee: Tamas Szekeres

Category:

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 16162

Description

hello,

after one of the last builds (4-5 days ago) the mssql provider is no more available in the qgis browser (browser(1)+(2)), mssql layer are

not loaded and the click on the add mssql icon in the toolbar return this error:

"Konnte den MSSQL-Auswahldialog nicht vom Datenlieferanten holen".

Does anyone have experience with this error?

Or is my System the reason for this problem?

thanks

jan

QGIS-Version    1.9.0-Master    QGIS-Codeversion    a4fa753

Kompiliert gegen Qt    4.7.1    Laufendes Qt    4.7.1

Kompiliert mit GDAL/OGR    1.9.2    Läuft mit GDAL/OGR    1.9.2

GEOS-Version    3.3.6    PostgreSQL-Client-Version    8.3.10

SpatiaLite-Version    3.0.1    QWT-Version    5.2.1

PROJ.4-Version    480    QScintilla2-Version    2.6.2

Diese QGIS-Kopie schreibt Debugausgaben.

Related issues:

Related to QGIS Application - Bug report # 7055: All plugins report python er... Closed 2013-01-27

History

#1 - 2013-01-30 05:51 AM - Giovanni Manghi

- Target version set to Version 2.0.0

- Assignee set to Nathan Woodrow

- Priority changed from High to Severe/Regression

#2 - 2013-01-30 05:53 AM - Nathan Woodrow

- Assignee changed from Nathan Woodrow to Tamas Szekeres

Tamas can you take a look at this when you move the provider to the new API.

#3 - 2013-01-30 07:34 AM - Jürgen Fischer
The mssql provider is currently disabled.

See also http://lists.osgeo.org/pipermail/qgis-developer/2013-January/024124.html

#4 - 2013-01-30 07:39 AM - Tamas Szekeres

New version of the driver is coming soon.

Fix is available for testing in my local repo:

https://github.com/szekerest/Quantum-GIS/commits/master

#5 - 2013-02-05 04:52 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:3b29fada

2025-04-26 2/2

http://lists.osgeo.org/pipermail/qgis-developer/2013-January/024124.html
https://github.com/szekerest/Quantum-GIS/commits/master

